package com.hotwj.platform.reportStatistics.provider.security;

import cn.hutool.core.map.MapUtil;
import com.hotwj.platform.reportStatistics.service.IReportDataProvider;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
public class OfflineTrainingPhotoProvider implements IReportDataProvider {

    @Override
    public String getTemplateCode() {
        return "templates/securityManage/offlineTrainingPhoto.html.vm";
    }

    @Override
    public String getReportTitle() {
        return "线下培训会议照片";
    }

    @Override
    public Map<String, Object> prepareData(Map<String, Object> params) {
        String imgUrl = MapUtil.getStr(params, "imgUrl");
        Map<String, Object> ctx = new HashMap<>();
        ctx.put("imgUrl", imgUrl);
        return ctx;
    }
}
